Summary: darcs - David's Advanced Revision Control System
Name: darcs
Version: 2.1.2
Release: alt2
URL: http://darcs.net
Source0: %url/%name-%version.tar.bz2
Patch0: %name-%version-alt-8bitdefs.patch
License: GNU GPL
Group: Development/Other
Packager: Alexey Voinov <voins@altlinux.ru>

# Automatically added by buildreq on Mon Feb 07 2005 (-bi)
BuildRequires: ghc hostinfo latex2html libcurl-devel libgmp-devel libidn-devel libncurses-devel libreadline-devel libssl-devel libtinfo-devel perl-CGI perl-DBM tetex-core tetex-dvips tetex-latex zlib-devel

BuildRequires: %hs_package_dependencies QuickCheck mtl parsec html regex-compat network
BuildRequires(pre): rpm-build-haskell

%description 
Darcs is a revision control system, along the lines of CVS or arch.
That means that it keeps track of various revisions and branches of
your project, allows for changes to propogate from one branch to
another. Darcs is intended to be an ``advanced'' revision control
system. Darcs has two particularly distinctive features which differ
from other revision control systems: 
  1) each copy of the source is a fully functional branch, and 
  2) underlying darcs is a consistent and powerful theory of patches.

%package docs
Summary: Documentation for darcs - David's Advances Revision Control System
License: GNU GPL
Group: Development/Other
Requires: %name = %version-%release
BuildArch: noarch

%description docs
Darcs is a revision control system, along the lines of CVS or arch.
That means that it keeps track of various revisions and branches of
your project, allows for changes to propogate from one branch to
another. Darcs is intended to be an ``advanced'' revision control
system. Darcs has two particularly distinctive features which differ
from other revision control systems: 
  1) each copy of the source is a fully functional branch, and 
  2) underlying darcs is a consistent and powerful theory of patches.

This package provides user manual in both HTML and PostScript formats

%package server
Summary: Server side components of darcs - David's Advanced Revision Control System
License: GNU GPL
Group: Development/Other
Requires: %name = %version-%release
PreReq: apache-common

%description server
Darcs is a revision control system, along the lines of CVS or arch.
That means that it keeps track of various revisions and branches of
your project, allows for changes to propogate from one branch to
another. Darcs is intended to be an ``advanced'' revision control
system. Darcs has two particularly distinctive features which differ
from other revision control systems: 
  1) each copy of the source is a fully functional branch, and 
  2) underlying darcs is a consistent and powerful theory of patches.

This package contains components neccessary to run publically accessible
darcs repository (via HTTP).

%prep
%setup -q
%patch -p1

%build
autoconf
%configure --with-sendmail=%_sbindir/sendmail
%make_build

%install
%__mkdir -p %buildroot{%_cachedir/%name,%_libdir/%name/repos,%_var/www/repos,%_var/www/cgi-bin}
%make DESTDIR=%buildroot installbin installserver
%__rm -rf %buildroot%_sysconfdir/bash_completion.d
#%__mv -f %buildroot%_bindir/convert-repo %buildroot%_bindir/%name-convertrepo
%__mv -f %buildroot%_prefix/lib/cgi-bin/%name.cgi %buildroot%_var/www/cgi-bin/

%files
%attr (0755,root,root) %_bindir/%name
#%%attr (0755,root,root) %_bindir/darcs-convertrepo
%_man1dir/%name.1*

%files server
%config %_sysconfdir/%name/*
%attr (0755,root,webmaster) %_var/www/cgi-bin/%name.cgi
%attr (0755,root,apache) %dir %_cachedir/%name
%attr (0755,root,root) %dir %_libdir/%name
%attr (0755,root,webmaster) %dir %_var/www/repos
%_datadir/%name/

%files docs
%doc AUTHORS COPYING README doc/manual

%changelog
* Fri Dec 26 2008 Alexey Voinov <voins@altlinux.ru> 2.1.2-alt2
- packager added
- docs subpackage is now noarch

* Wed Nov 26 2008 Alexey Voinov <voins@altlinux.ru> 2.1.2-alt1
- new version (2.1.2)
- buildreqs updated

* Fri Aug 15 2008 Alexey Voinov <voins@altlinux.ru> 2.0.2-alt1
- new version (2.0.2)
- ghc68 patch removed

* Fri Feb 15 2008 Alexey Voinov <voins@altlinux.ru> 1.0.9-alt3
- build issues with fresh compiler resolved
- ghc68 patch applied (thanks to avm@altlinux.ru)
- buildreqs updated

* Sun Aug 19 2007 Alexey Voinov <voins@altlinux.ru> 1.0.9-alt2
- x86_64 issues resolved

* Thu Aug 16 2007 Alexey Voinov <voins@altlinux.ru> 1.0.9-alt1
- new version (1.0.9)
- url updated

* Fri Sep 29 2006 Alexey Voinov <voins@altlinux.ru> 1.0.8-alt1
- new version (1.0.8)

* Tue Jan 17 2006 Alexey Voinov <voins@altlinux.ru> 1.0.5-alt1
- new version (1.0.5)
- 8bitdefs patch added [#8747 fixed]

* Fri Dec 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.4-alt1.1
- Rebuilt with libreadline.so.5.

* Sat Nov 26 2005 Alexey Voinov <voins@altlinux.ru> 1.0.4-alt1
- new version (1.0.4)

* Mon May 30 2005 Alexey Voinov <voins@altlinux.ru> 1.0.3-alt1
- new version (1.0.3)

* Mon Feb 07 2005 Alexey Voinov <voins@altlinux.ru> 1.0.2-alt1
- new version (1.0.2)
- configure patch removed
- buildreqs fixed
- group of /var/www/repos changed to webmaster [fix for #5766]

* Wed Dec 15 2004 Alexey Voinov <voins@altlinux.ru> 1.0.1-alt1
- new version (1.0.1)
- spec clean up
- buildreqs fixed

* Sat Nov 13 2004 Alexey Voinov <voins@altlinux.ru> 1.0.0-alt1
- new version (1.0.0)

* Thu Oct 21 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.9.23-alt1.1
- Rebuilt with libcurl.so.3.

* Sun Sep 05 2004 Alexey Voinov <voins@altlinux.ru> 0.9.23-alt1
- new version (0.9.23)
- the only patch renamed and updated
- buildreq fixed

* Thu Dec 11 2003  Alexander Bokovoy <ab@altlinux.ru> 0.9.14-alt1
- Initial build.

